// pages/mine/wxml/feedback/feedback.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    
  },
  
  bindFormSubmit: function (e) {
    //console.log(e.detail.value.textarea)
    this.setData({
      textarea: e.detail.value.textarea,
    })
  },
  formSubmit:function(e){
    let _this = this;
    //console.log(e.detail.value.textarea)
    if (e.detail.value.textarea !== ""){
      wx.request({
        url: app.globalData.prodUrl + 'web-pm/wx/pm/add_feedback_message',
        header: {
          'ydw-token': wx.getStorageSync('key').ydw_token
        },
        data: {
          feedback_message: e.detail.value.textarea
        },
        success: function (data) {
          //console.log(data.data)
          wx.showToast({
            title: data.data.tip.msg,
            icon: 'none',
            duration: 3000,
            success: function () {
              setTimeout(function() {
                wx.navigateBack({
                  delta: 1,
                  success: function () {
                    var pages = getCurrentPages();
                    var page = getCurrentPages().pop();
                    //console.log(pages)
                    if (page == undefined || page == null) return;
                    pages[0].onLoad(pages[0].options);

                  }
                })
              },2000)
                
            }
          });
                
        },
      });
    }else{
      wx.showToast({
        title: '请填写反馈内容！',
        icon: 'none',
        duration: 3000
      });
    }  
  },
  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})